<?php
/**
 * Created by PhpStorm.
 * User: A.Gorbunov
 * Date: 09.10.2019
 * Time: 9:09
 */

require_once('../system/func.php');
auth();
$title = 'Огненные земли';
require_once('../system/header.php');
require_once('BossFarm.php');
define('CHECK', true);
$boss = new BossFarm($user);
$showBoss = $boss->getUserBoss();

// следующая награда
if (isset($_GET['nextReward'])) {
    if ($user['gold'] >= $boss->priceUse) {
        $boss->nextRandomTypeItem();
    } else {
        $_SESSION['msg'] = 'Вам не хватает золота!';
        header('Location: /app/boss_farm.php');
        exit();
    }
} else if (isset($_GET['getReward']) && $user['xp_boss'] >= $boss->listPresent($user['xp_boss_type'])['needXp']) {
    // получить награду
    $boss->setReward();
} else if (isset($_GET['battle']) && array_key_exists($_GET['battle'], $boss->bossSett())) {
    // нападаем на босса
    $getBoss = $boss->bossSett($_GET['battle']); // характеристика босса
    $getUserBoss = $showBoss[$_GET['battle']]; // босс у игрока БД

    $err = null;
    if ($getBoss['level'] > $user['level']) {
        $err = 'У Вас маленький уровень!';
    }

    if ($getUserBoss['time_boss'] > time()) {
        $err = 'Нужно ещё подождать!';
    }
    
    if (empty($err)) {

        if ($getUserBoss['battle'] == 0) {
            $boss->startBattle($getUserBoss['id'], $getBoss['hp'], $getUserBoss['id_boss']);
        }
        include_once 'boss_battle.php';
    } else {
        $_SESSION['msg'] = $err;
        header('Location: /app/boss_farm.php');
        exit();
    }
}

?>

<?php if (isset($_GET['ChooseReward'])): ?>
    <div class="block">
        <?= $boss; ?>
    </div>
    <a href="/app/boss_farm.php" class="link center"><img src="/images/icons/arrow.png" width="15px" alt="*"> Назад</a>
<?php else: ?>
    <div class="block center">
        <div><span><font color="orange">Убивай монстров, получай свою награду!</font></span></div>
        <div><span><b><font color="red">Особая награда</font></b></span></div>
        <?= $boss; ?>
        <div><span>Опыт: <img src="/images/icons/exp.png" width="15px"
                              alt="*"> <?= $user['xp_boss']; ?>/<?= $boss->listPresent($user['xp_boss_type'])['needXp']; ?></span>

            <?php if ($user['xp_boss'] >= $boss->listPresent($user['xp_boss_type'])['needXp']): ?>

            <div><a href="?getReward" class="btn2">Забрать награду</a></div>
            <?php endif; ?>
        </div>

    </div>

    <?php foreach ($boss->bossSett() as $num => $value): ?>

        <div class="block2"><a><img style="float: left; margin-right: 2px; margin-bottom: 2px;"
                                    src="<?= $value['img']; ?>"
                                    height="36px">
                <img src="/images/icons/sum_stat.png" width="15px" alt="*"> <span class=""><?= $value['name']; ?><br>Награда: <img
                            src="/images/icons/exp.png" width="15px" alt="*"> <?= $value['xp']; ?> опыта</span></a>


            <?php if ($num == $showBoss[$num]['id_boss']): ?>
                <?php if ($showBoss[$num]['time_boss'] > time()): ?>
                    <div><span>Воскреснет через: <?= tl($showBoss[$num]['time_boss'] - time()); ?></span></div>
                <?php else: ?>
                    <?php if ($user['level'] >= $value['level']): ?>

                        <div><span style="color: green">Достигнут <img src="/images/icons/level.png" width="14px"
                                                                       alt="LVL"> <?= $value['level']; ?> уровень</span>
                        </div>
                        <div><a href="?battle=<?= $num; ?>" class="btn2">Выбрать</a></div>
                    <?php else: ?>
                        <div><span style="color: red">Требуется <img src="/images/icons/level.png" width="14px"
                                                                     alt="LVL"> <?= $value['level']; ?> уровень</span>
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    <?php endforeach; ?>
<?php endif; ?>
<?php
require_once('../system/footer.php');